Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
sweep
/
assets
Trigger Sweep Assets
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/sweep/assets \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "forceSweep": "OPTIONAL_BOOLEAN",
  "transactionId": "TRANSACTION_ID"
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/sweep/assets"

payload = {
    "forceSweep": "OPTIONAL_BOOLEAN",
    "transactionId": "TRANSACTION_ID"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({forceSweep: 'OPTIONAL_BOOLEAN', transactionId: 'TRANSACTION_ID'})
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/sweep/assets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Sweep initiated successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
forceSweep
string
Example:

"OPTIONAL_BOOLEAN"

transactionId
string
Example:

"TRANSACTION_ID"

Response

200 - application/json

200

message
string
Example:

"Sweep initiated successfully"

statusCode
number
Example:

200